Package relaxngcc.grammar

# Class RefPattern

java.lang.Object
relaxngcc.grammar.Pattern
relaxngcc.grammar.RefPattern

public class RefPattern extends Pattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Field Summary

Fields
Modifier and Type
Field
Description
`final Locator`
`locator`
`final NGCCCallParam`
`param`
`final Scope`
`target`

## Constructor Summary

Constructors
Constructor
Description
`RefPattern(ParserRuntime rt, Locator loc, Scope target_, NGCCCallParam param_)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`apply(PatternFunction f)`
`int`
`getParamCount()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### locator

public final Locator locator

### target

public final Scope target

### param

public final NGCCCallParam param

## Constructor Details

### RefPattern

public RefPattern(ParserRuntime rt, Locator loc, Scope target_, NGCCCallParam param_)

## Method Details

### apply

public Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`

### getParamCount

public int getParamCount()